=== debian/changelog ===
senpai (0.3.0-1ubuntu0.24.10.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 04 Jul 2025 11:26:49 +1000

senpai (0.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #1072217)

 -- Guilherme Puida Moreira <guilherme@puida.xyz>  Sun, 30 Jun 2024 22:24:22 -0300
