=== debian/control ===
Source: senpai
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Guilherme Puida Moreira <guilherme@puida.xyz>,
           Taavi Väänänen <taavi@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-delthas-go-libnp-dev,
               golang-github-delthas-go-localeinfo-dev,
               golang-github-gdamore-tcell.v2-dev,
               golang-github-mattn-go-runewidth-dev,
               golang-golang-x-net-dev,
               golang-golang-x-time-dev,
               golang-mvdan-xurls-dev,
               golang-sourcehut-emersion-go-scfg-dev,
               scdoc <!nodoc>,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/senpai
Vcs-Git: https://salsa.debian.org/go-team/packages/senpai.git
Homepage: https://sr.ht/~delthas/senpai
XS-Go-Import-Path: git.sr.ht/~delthas/senpai

Package: senpai
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: Modern terminal IRC client
 senpai is an IRC client that works best with bouncers:
  * No logs are kept,
  * History is fetched from the server via CHATHISTORY,
  * Networkds are fetched from the server via bouncer-networks,
  * Messages can be searched in logs via SEARCH.
