## senpai 0.4.0

=== debian/changelog ===
senpai (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0.
  * d/patches: Upstream changed UI frameworks. Consequently:
    - Drop 0002-Remove-title-support.patch.
    - Drop 0001-Remove-notification-support.patch.
  * d/rules: Remove previously needed upstream repository URL substitution.
  * d/control: Update dependencies.

 -- Guilherme Puida Moreira <guilherme@puida.xyz>  Mon, 17 Mar 2025 20:49:16 -0300
