=== debian/changelog ===
senpai (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1.

 -- Guilherme Puida Moreira <guilherme@puida.xyz>  Mon, 14 Apr 2025 16:15:28 -0300
