=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: senpai
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Guilherme Puida Moreira <guilherme@puida.xyz>,
            Taavi Väänänen <taavi@debian.org>,
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
+               golang-codeberg-emersion-go-scfg-dev,
                golang-github-delthas-go-libnp-dev,
                golang-github-delthas-go-localeinfo-dev,
-               golang-github-gdamore-tcell.v2-dev,
+               golang-github-disintegration-imaging-dev,
                golang-github-mattn-go-runewidth-dev,
                golang-golang-x-net-dev,
                golang-golang-x-time-dev,
                golang-mvdan-xurls-dev,
-               golang-sourcehut-emersion-go-scfg-dev,
+               golang-sourcehut-rockorager-vaxis-dev,
                scdoc <!nodoc>,
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.7.0
