=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA = emoji.json

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_before_dh_installman:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	mkdir debian/tmp
	scdoc < doc/senpai.1.scd > debian/tmp/senpai.1
	scdoc < doc/senpai.5.scd > debian/tmp/senpai.5
endif

override_dh_auto_install:
	dh_auto_install -- --no-source
